Subject: Re: linux-next: manual merge of the mm tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 18 Sep 2024 09:40:13 +1000

Hi all,

On Tue, 17 Sep 2024 09:27:39 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the mm tree got a conflict in:
> 
>   kernel/events/uprobes.c
> 
> between commit:
> 
>   e240b0fde52f ("uprobes: Use kzalloc to allocate xol area")
> 
> from Linus' tree and commits:
> 
>   33a5eafea601 ("Revert "uprobes: use vm_special_mapping close() functionality"")
>   073317dc2f28 ("uprobes: introduce the global struct vm_special_mapping xol_mapping")
>   efb93ed4c836 ("uprobes: turn xol_area->pages[2] into xol_area->page")
> 
> from the mm tree.
> 
> I fixed it up (I used the latter version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the mm-stable tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell